/*
  ActivityBot SONY Remote Control.c
*/

#include "simpletools.h"                      // Library includes
#include "sonyremote.h"
#include "abdrive.h"

int key;                                      // Remote key variable

int main()                                    // Main funciton
{
  freqout(4, 2000, 3000);                     // Start beep
  drive_setRampStep(10);                      // 12 ticks/sec per 20 ms
  ir_tLimit(50);                              // Remote timeout = 50 ms

  while(1)                                    // Main loop
  {
    key = ir_key(12);                         // Get remote key code

    if(key == 2 || key == CH_UP)              // 2 or CH_UP -> Forward
      drive_rampStep(128, 128);
    if(key == 8 || key == CH_DN)              // 8 or CH_DN -> Backward
      drive_rampStep(-128, -128);
    if(key == 4 || key == VOL_DN)             // 4 or VOL_DN -> Left turn
      drive_rampStep(-128, 128);
    if(key == 6 || key == VOL_UP)             // 6 or VOL_UP -> Right turn 
      drive_rampStep(128, -128);
    if(key == 1)                              // 1 -> Left forward pivot
      drive_rampStep(128, 0);
    if(key == 7)                              // 7 -> Left backward pivot
      drive_rampStep(-128, 0);
    if(key == 3)                              // 3 -> Right forward pivot
      drive_rampStep(0, 128);
    if(key == 9)                              // 9 -> Right backward pivot
      drive_rampStep(0, -128);
    if(key == -1 || key == MUTE)              // no key or MUTE -> stay still
      drive_rampStep(0, 0);
  }  
}

